Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SFPad Class Reference

SF互換パッド. More...

`#include <SFPad.h>`

Inheritance diagram for Lamp::SFPad:

List of all members.

## Public Types
enum | Button { button0 = 0, button1, button2, button3, buttonL, buttonR, buttonStart, buttonSelect, maxButtonCount, buttonUnknown = -1, buttonA = 0, buttonB = 1, buttonX = 2, buttonY = 3 }
| ボタン
## Public Member Functions
| SFPad (Joystick *joystick)
| コンストラクタ
virtual | ~SFPad ()
| デストラクタ
virtual void | changeButtonMap (Button button, int id)
| ボタンマップの変更
virtual int | getButtonMap (const Button button)
| ボタンマップの取得
virtual void | setDigitalBoundary (float digitalBoundary)
| デジタル境界の設定
virtual float | setDigitalBoundary () const
| デジタル境界の取得
virtual float | getXAxis () const
| X軸の取得.
virtual float | getYAxis () const
| Y軸の取得.
virtual bool | upKeyPressed () const
| 上キーが押されているか
virtual bool | upKeyDown () const
| 上キーが下がった
virtual bool | upKeyUp () const
| 上キーが上がった
virtual bool | downKeyPressed () const
| 下キーが押されているか
virtual bool | downKeyDown () const
| 下キーが下がった
virtual bool | downKeyUp () const
| 下キーが上がった
virtual bool | leftKeyPressed () const
| 左キーが押されているか
virtual bool | leftKeyDown () const
| 左キーが下がった
virtual bool | leftKeyUp () const
| 左キーが上がった
virtual bool | rightKeyPressed () const
| 右キーが押されているか
virtual bool | rightKeyDown () const
| 右キーが下がった
virtual bool | rightKeyUp () const
| 右キーが上がった
virtual bool | buttonPressed (Button button) const
| ボタンが押されているか
virtual bool | buttonDown (Button button) const
| ボタンが下がった
virtual bool | buttonUp (Button button) const
| ボタンが上がった
virtual String | toString () const
| 文字列への変換
## Static Public Member Functions
bool | checkCompatibility (Joystick *joystick)
| 互換性チェック
String | getButtonString (Button button)
| ボタン文字列の取得
## Protected Member Functions
bool | yAxisToUpKey (float yAxis) const
| Y軸値から上キーへの変換.
bool | yAxisToDownKey (float yAxis) const
| Y軸値から下キーへの変換.
bool | xAxisToLeftKey (float xAxis) const
| X軸値から左キーへの変換.
bool | xAxisToRightKey (float xAxis) const
| X軸値から右キーへの変換.
## Protected Attributes
int | buttonMap_ [maxButtonCount]
| ボタンマップ
float | digitalBoundary_
| デジタル境界

## Detailed Description

SF互換パッド.

Definition at line 36 of file SFPad.h.

## Constructor & Destructor Documentation

Lamp::SFPad::SFPad | ( | Joystick * | joystick | ) |

  | コンストラクタ Parameters:
  joystick | 使用するジョイスティック
Definition at line 46 of file SFPad.cpp. References Assert, buttonMap_, checkCompatibility(), Lamp::Joystick::getButtonCount(), and Lamp::Pad::joystick_.

## Member Function Documentation

bool Lamp::SFPad::buttonDown | ( | Button | button | ) | const`[virtual]`

  | ボタンが下がった Parameters:
  button | ボタン
Returns: ボタンが下がったならばtrue Definition at line 233 of file SFPad.cpp. References Assert, Lamp::Joystick::buttonDown(), buttonMap_, and Lamp::Pad::joystick_. Referenced by toString().

bool Lamp::SFPad::buttonPressed | ( | Button | button | ) | const`[virtual]`

  | ボタンが押されているか Parameters:
  button | ボタン
Returns: ボタンが押されていればtrue Definition at line 227 of file SFPad.cpp. References Assert, buttonMap_, Lamp::Joystick::buttonPressed(), and Lamp::Pad::joystick_. Referenced by toString().

bool Lamp::SFPad::buttonUp | ( | Button | button | ) | const`[virtual]`

  | ボタンが上がった Parameters:
  button | ボタン
Returns: ボタンが上がったならばtrue Definition at line 239 of file SFPad.cpp. References Assert, buttonMap_, Lamp::Joystick::buttonUp(), and Lamp::Pad::joystick_. Referenced by toString().

void Lamp::SFPad::changeButtonMap | ( | Button | button,
|  | int | id
| ) | `[virtual]`

  | ボタンマップの変更 Parameters:
  button | ボタンマップを変更するボタン
  id | 変更するボタンID
Definition at line 132 of file SFPad.cpp. References Assert, and buttonMap_.

bool Lamp::SFPad::checkCompatibility | ( | Joystick * | joystick | ) | `[static]`

  | 互換性チェック Parameters:
  joystick | 互換性をチェックするジョイスティック
Returns: 互換性があればtrueを返す Definition at line 34 of file SFPad.cpp. References Lamp::Joystick::getButtonCount(), Lamp::Joystick::hasXAxis(), and Lamp::Joystick::hasYAxis(). Referenced by SFPad().

bool Lamp::SFPad::downKeyDown | ( |  | ) | const`[virtual]`

| 下キーが下がった Returns: 下キーが下がったならばtrue Definition at line 179 of file SFPad.cpp. References Lamp::Joystick::getPreYAxis(), Lamp::Joystick::getYAxis(), Lamp::Pad::joystick_, and yAxisToDownKey(). Referenced by toString().

bool Lamp::SFPad::downKeyPressed | ( |  | ) | const`[virtual]`

| 下キーが押されているか Returns: 下キーが押されていればtrue Definition at line 174 of file SFPad.cpp. References Lamp::Joystick::getYAxis(), Lamp::Pad::joystick_, and yAxisToDownKey(). Referenced by toString().

bool Lamp::SFPad::downKeyUp | ( |  | ) | const`[virtual]`

| 下キーが上がった Returns: 下キーが上がったならばtrue Definition at line 185 of file SFPad.cpp. References Lamp::Joystick::getPreYAxis(), Lamp::Joystick::getYAxis(), Lamp::Pad::joystick_, and yAxisToDownKey(). Referenced by toString().

virtual int Lamp::SFPad::getButtonMap | ( | const Button | button | ) | `[inline, virtual]`

  | ボタンマップの取得 Parameters:
  button | ボタンマップを取得するボタン
Returns: ボタンID Definition at line 92 of file SFPad.h. References Assert, and buttonMap_.

String Lamp::SFPad::getButtonString | ( | Button | button | ) | `[static]`

  | ボタン文字列の取得 Parameters:
  button | ボタン
Returns: ボタン文字列 Definition at line 247 of file SFPad.cpp. References Assert.

float Lamp::SFPad::getXAxis | ( |  | ) | const`[virtual]`

| X軸の取得. Returns: 1から-1の値をとるX軸 Definition at line 145 of file SFPad.cpp. References Lamp::Joystick::getXAxis(), and Lamp::Pad::joystick_.

float Lamp::SFPad::getYAxis | ( |  | ) | const`[virtual]`

| Y軸の取得. Returns: 1から-1の値をとるY軸 Definition at line 150 of file SFPad.cpp. References Lamp::Joystick::getYAxis(), and Lamp::Pad::joystick_.

bool Lamp::SFPad::leftKeyDown | ( |  | ) | const`[virtual]`

| 左キーが下がった Returns: 左キーが下がったならばtrue Definition at line 196 of file SFPad.cpp. References Lamp::Joystick::getPreXAxis(), Lamp::Joystick::getXAxis(), Lamp::Pad::joystick_, and xAxisToLeftKey(). Referenced by toString().

bool Lamp::SFPad::leftKeyPressed | ( |  | ) | const`[virtual]`

| 左キーが押されているか Returns: 左キーが押されていればtrue Definition at line 191 of file SFPad.cpp. References Lamp::Joystick::getXAxis(), Lamp::Pad::joystick_, and xAxisToLeftKey(). Referenced by toString().

bool Lamp::SFPad::leftKeyUp | ( |  | ) | const`[virtual]`

| 左キーが上がった Returns: 左キーが上がったならばtrue Definition at line 202 of file SFPad.cpp. References Lamp::Joystick::getPreXAxis(), Lamp::Joystick::getXAxis(), Lamp::Pad::joystick_, and xAxisToLeftKey(). Referenced by toString().

bool Lamp::SFPad::rightKeyDown | ( |  | ) | const`[virtual]`

| 右キーが下がった Returns: 右キーが下がったならばtrue Definition at line 213 of file SFPad.cpp. References Lamp::Joystick::getPreXAxis(), Lamp::Joystick::getXAxis(), Lamp::Pad::joystick_, and xAxisToRightKey(). Referenced by toString().

bool Lamp::SFPad::rightKeyPressed | ( |  | ) | const`[virtual]`

| 右キーが押されているか Returns: 右キーが押されていればtrue Definition at line 208 of file SFPad.cpp. References Lamp::Joystick::getXAxis(), Lamp::Pad::joystick_, and xAxisToRightKey(). Referenced by toString().

bool Lamp::SFPad::rightKeyUp | ( |  | ) | const`[virtual]`

| 右キーが上がった Returns: 右キーが上がったならばtrue Definition at line 219 of file SFPad.cpp. References Lamp::Joystick::getPreXAxis(), Lamp::Joystick::getXAxis(), Lamp::Pad::joystick_, and xAxisToRightKey(). Referenced by toString().

virtual float Lamp::SFPad::setDigitalBoundary | ( |  | ) | const`[inline, virtual]`

| デジタル境界の取得 Returns: デジタル境界 Definition at line 113 of file SFPad.h. References digitalBoundary_.

virtual void Lamp::SFPad::setDigitalBoundary | ( | float | digitalBoundary | ) | `[inline, virtual]`

  | デジタル境界の設定 Parameters:
  digitalBoundary | デジタル境界
Definition at line 104 of file SFPad.h. References Assert, and digitalBoundary_.

String Lamp::SFPad::toString | ( |  | ) | const`[virtual]`

| 文字列への変換 Returns: 文字列 Reimplemented from Lamp::Pad. Definition at line 255 of file SFPad.cpp. References buttonDown(), buttonPressed(), buttonUp(), downKeyDown(), downKeyPressed(), downKeyUp(), Lamp::String::format(), leftKeyDown(), leftKeyPressed(), leftKeyUp(), rightKeyDown(), rightKeyPressed(), rightKeyUp(), upKeyDown(), upKeyPressed(), and upKeyUp().

bool Lamp::SFPad::upKeyDown | ( |  | ) | const`[virtual]`

| 上キーが下がった Returns: 上キーが下がったならばtrue Definition at line 162 of file SFPad.cpp. References Lamp::Joystick::getPreYAxis(), Lamp::Joystick::getYAxis(), Lamp::Pad::joystick_, and yAxisToUpKey(). Referenced by toString().

bool Lamp::SFPad::upKeyPressed | ( |  | ) | const`[virtual]`

| 上キーが押されているか Returns: 上キーが押されていればtrue Definition at line 157 of file SFPad.cpp. References Lamp::Joystick::getYAxis(), Lamp::Pad::joystick_, and yAxisToUpKey(). Referenced by toString().

bool Lamp::SFPad::upKeyUp | ( |  | ) | const`[virtual]`

| 上キーが上がった Returns: 上キーが上がったならばtrue Definition at line 168 of file SFPad.cpp. References Lamp::Joystick::getPreYAxis(), Lamp::Joystick::getYAxis(), Lamp::Pad::joystick_, and yAxisToUpKey(). Referenced by toString().

bool Lamp::SFPad::xAxisToLeftKey | ( | float | xAxis | ) | const`[inline, protected]`

  | X軸値から左キーへの変換. Parameters:
  xAxis | X軸値
Returns: 左キーが押されていればtrue Definition at line 273 of file SFPad.h. References digitalBoundary_. Referenced by leftKeyDown(), leftKeyPressed(), and leftKeyUp().

bool Lamp::SFPad::xAxisToRightKey | ( | float | xAxis | ) | const`[inline, protected]`

  | X軸値から右キーへの変換. Parameters:
  xAxis | X軸値
Returns: 右キーが押されていればtrue Definition at line 282 of file SFPad.h. References digitalBoundary_. Referenced by rightKeyDown(), rightKeyPressed(), and rightKeyUp().

bool Lamp::SFPad::yAxisToDownKey | ( | float | yAxis | ) | const`[inline, protected]`

  | Y軸値から下キーへの変換. Parameters:
  yAxis | Y軸値
Returns: 下キーが押されていればtrue Definition at line 264 of file SFPad.h. References digitalBoundary_. Referenced by downKeyDown(), downKeyPressed(), and downKeyUp().

bool Lamp::SFPad::yAxisToUpKey | ( | float | yAxis | ) | const`[inline, protected]`

  | Y軸値から上キーへの変換. Parameters:
  yAxis | Y軸値
Returns: 上キーが押されていればtrue Definition at line 255 of file SFPad.h. References digitalBoundary_. Referenced by upKeyDown(), upKeyPressed(), and upKeyUp().

The documentation for this class was generated from the following files:

- SFPad.h
- SFPad.cpp